Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# lstat

Perl 5 version 16.0 documentation
Go to top
Show recent pages
Recently read

# lstat

Perl functions A-Z | Perl functions by category | The 'perlfunc' manpage

- lstat FILEHANDLE

- lstat EXPR
- lstat DIRHANDLE
- lstat

  Does the same thing as the `stat` function (including setting the special `_` filehandle) but stats a symbolic link instead of the file the symbolic link points to. If symbolic links are unimplemented on your system, a normal `stat` is done. For much more detailed information, please see the documentation for `stat`.

  If EXPR is omitted, stats `$_` .

  Portability issues: lstat in perlport.